<template>
    <v-combobox
        v-model="localValue"
        item-text="name"
        item-value="id"
        :items="items"
        :loading="loading"
        :placeholder="placeholder"
        :error-messages="errors"
        hide-selected
        chips
        deletable-chips
        outlined
        multiple
        return-object
        :menu-props="{ bottom: true, offsetY: true }"
    >
        <template v-slot:selection="{ attrs, item, parent, selected }">
            <v-chip
                v-if="item === Object(item)"
                v-bind="attrs"
                color="primary"
                :input-value="selected"
                label
            >
                <span class="pr-2">{{ item.name }}</span>
                <v-icon
                    :color="item.prime ? 'yellow' : 'white'"
                    @click="item.prime = !item.prime"
                >
                    mdi-star
                </v-icon>
                <v-icon
                    @click="parent.selectItem(item)"
                >
                    mdi-close
                </v-icon>
            </v-chip>
        </template>
    </v-combobox>
</template>

<script>
    export default {
        name: "PolicyRule",
        props: {
            value: {
                type: Array,
                default: () => []
            },
            errors: [String, Array],
            placeholder: {
                type: String,
                default: ''
            },
            hideDetails: {
                type: [Boolean, String],
                default: false
            },
            clearable: {
                type: Boolean,
                default: false
            },
            items: {
                type: Array,
                default: () => []
            }
        },

        data: () => ({
            loading: false
        }),

        computed: {
            localValue: {
                get() {
                    return this.value;
                },
                set(val) {
                    let clone = _.cloneDeep(val);
                    this.$emit('input', clone);
                }
            }
        }
    }
</script>

<style scoped>
    >>> .v-select__selections {
        min-height: 56px !important;
    }
</style>
